# OSDEP Native API

# Extensions

# Functions

# Typedefs

Offset | Signed file offset data type.
Socket | Argument for sockets.
Socklen | Size to hold the length of a socket address.
Ticks | Elapsed time data type.
bool | Boolean data type.
cchar | Constant char data type.
cint | Constant int data type.
cuchar | Unsigned char data type.
cushort | Constant unsigned short data type.
cvoid | Constant void data type.
int16 | Integer 16 bits data type.
int32 | Integer 32 bits data type.
int8 | Integer 8 bits data type.
schar | Signed char data type.
ssize | Signed integer size field large enough to hold a pointer offset.
uchar | Unsigned char data type.
uint | Unsigned integer (machine dependent bit size) data type.
uint16 | Unsigned integer 16 bits data type.
uint32 | Unsigned integer 32 bits data type.
uint8 | Unsigned integer 8 bits data type.
ulong | Unsigned long (machine dependent bit size) data type.
ushort | Unsigned short data type.

# Defines

#define | ME_BIG_ENDIAN 2
| Big endian byte ordering.
#define | ME_BUFSIZE 4096
| Reasonable size for buffers.
#define | ME_CPU_ARM 1
| Arm.
#define | ME_CPU_ITANIUM 2
| Intel Itanium.
#define | ME_CPU_MIPS 5
| Mips.
#define | ME_CPU_PPC 6
| Power PC.
#define | ME_CPU_SH 9
| SuperH.
#define | ME_CPU_SPARC 7
| Sparc.
#define | ME_CPU_TIDSP 8
| TI DSP.
#define | ME_CPU_X64 4
| AMD64 or EMT64.
#define | ME_CPU_X86 3
| X86.
#define | ME_DEBUG 0
| osdep.h<ndash/> O/S abstraction for products using MakeMe.
#define | ME_LITTLE_ENDIAN 1
| Little endian byte ordering.
#define | ME_MAX_ARGC 32
| Maximum number of command line args if using MAIN().
#define | ME_MAX_BUFFER 4096
| Reasonable size for buffers.
#define | ME_MAX_FNAME 256
| Reasonable filename size.
#define | ME_MAX_PATH 1024
| Reasonable filename size.
#define | ME_STACK_SIZE (128 * 1024)
| Default thread stack size (0 means use system default).
#define | TPS 1000
| Time/Ticks units per second (milliseconds).

## Functions

## Typedefs

typedef char bool.

Boolean data type.

typedef const char cchar.

Constant char data type.

typedef const int cint.

Constant int data type.

typedef const unsigned char cuchar.

Unsigned char data type.

typedef const unsigned short cushort.

Constant unsigned short data type.

typedef const void cvoid.

Constant void data type.

typedef short int16.

Integer 16 bits data type.

typedef int int32.

Integer 32 bits data type.

typedef char int8.

Integer 8 bits data type.

typedef int64 Offset.

Signed file offset data type.

Supports large files greater than 4GB in size on all systems
typedef signed char schar.

Signed char data type.

typedef int Socket.

Argument for sockets.

typedef int Socklen.

Size to hold the length of a socket address.

typedef ssize_t ssize.

Signed integer size field large enough to hold a pointer offset.

typedef int64 Ticks.

Elapsed time data type.

Stores time in milliseconds from some arbitrary start epoch
typedef unsigned char uchar.

Unsigned char data type.

typedef unsigned int uint.

Unsigned integer (machine dependent bit size) data type.

typedef unsigned short uint16.

Unsigned integer 16 bits data type.

typedef unsigned int uint32.

Unsigned integer 32 bits data type.

typedef unsigned char uint8.

Unsigned integer 8 bits data type.

typedef unsigned long ulong.

Unsigned long (machine dependent bit size) data type.

typedef unsigned short ushort.

Unsigned short data type.

© Embedthis Software, 2003-2015. All rights reserved.